services:
  data-provider-tsg-connector:
    image: docker.nexus.dataspac.es/core-container:1.1.0
    volumes:
      - ./docker-compose-conf/cc.yaml:/config/application.yaml
      - ../../lesson-1/1-identity-provider/certificates/connectors/Data-Provider/ids.crt:/secrets/idsidentity/ids.crt
      - ../../lesson-1/1-identity-provider/certificates/connectors/Data-Provider/ids.key:/secrets/idsidentity/ids.key
      - ../../lesson-1/1-identity-provider/certificates/ca/cachain.crt:/secrets/idsidentity/ca.crt
  
  data-provider-ui:
    image: docker.nexus.dataspac.es/ui/core-container-ui:feature-open-sourcing
    platform: linux/amd64
    environment:
      API_BACKEND: data-provider-tsg-connector:8082/api/
    ports:
      - 31080:80

networks:
  default:
    name: ids_dev
    external: true